package javafxcircle;

import javafx.scene.geometry.Circle;
import javafx.scene.paint.Color;
import javafx.animation.Timeline;
import javafx.animation.KeyFrame;
import javafx.animation.Interpolator;
import javafx.ext.swing.*;

/**
 * @author Amit
 */
var x = 30;
var y = 30;
var t = Timeline {
repeatCount: Timeline.INDEFINITE
autoReverse: true
keyFrames : [
    KeyFrame {time : 0s
        values: y => 30},
    KeyFrame {time: 2s
        values: y => 400 tween Interpolator.LINEAR},
    KeyFrame {time : 1s
        values: x => 30},
    KeyFrame {time: 3s
        values: x => 400 tween Interpolator.EASEIN},
    KeyFrame {time : 2s
        values: y => 400},
    KeyFrame {time: 4s
        values: y => 0 tween Interpolator.EASEBOTH}
]
}
SwingFrame {
title: "Ball Bouncing"
width: 450
height: 450
closeAction: function(): Void  { java.lang.System.exit( 0 ); }
visible: true
content : BorderPanel {
top: Canvas {
content: [Circle {
centerX: bind x, centerY: bind y;
radius: 40
fill: Color.ORANGE
    } ]
 }

bottom : FlowPanel { content:[Button {
        text: "Start"
        action: function(): Void  {t.start();}
        },Button {
        text: "Pause"
        action: function() {t.pause(); }},Button {
        text: "Resume"
        action: function() {t.resume();  }
        },Button {
        text: "Stop"
        action: function() {t.stop();  }
        }
        ]  
    }
 }
}

